Bug 143211 - RHN Channels for Academic purchases inaccurate
RHN Channels for Academic purchases inaccurate
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Channels (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Webbink
Red Hat Satellite QA List
: Reopened
: 202428 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-12-17 09:50 EST by manoj
Modified: 2014-02-02 17:42 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-29 15:45:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description manoj 2004-12-17 09:50:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)

Description of problem:
When a customer purchases AS academic, they also get access to ES and
WS channels. Now this customer with login redaxw has 4 AS academic and
have  used all the channels. When they see Channel Entitlements, they
will still see ES and WS as 4 avaiable subscriptions. When they try to
register the systems, it will give them an error saying 'you have
exceeded the number of subscriptions avaiable.' This customer was very
confused saying that there are channels available but it doe not allow
them to register. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Since they have 4 AS Academic and have used all the AS channels,
make the other channels go to 0 for 'Available subscriptions'. This
will reduce any confusion

Additional info:
Comment 1 Bret McMillan 2006-08-29 12:59:30 EDT
If people are getting access to ES & WS when they should only get access to AS,
the problem is with the sku, not RHN.  Please contact Matt Webbink if this is
still an issue, he should be able to tell you what status on the mappings are.
Comment 2 Bret McMillan 2006-08-29 13:01:05 EDT
Sigh.  Re-opening due to bz#202428.  Matt, please respond.
Comment 3 Bret McMillan 2006-08-29 13:06:16 EDT
*** Bug 202428 has been marked as a duplicate of this bug. ***
Comment 4 Matt Webbink 2006-08-29 14:19:31 EDT
This offering includes a single Management entitlement, which can be used
against AS, ES, or WS (one at a time).  The customer must choose the variant to
which they'd like to subscribe - they cannot subscribe to all three at once.

I'm not sure how we can correct the perception they can subscribe to all three
variants, due to what's displayed in the RHN UI.

Bret - Is it possible to control this at the SKU level (i.e., limit which
channel entitlements are available/displayed based on what the customer has
subscribed to)?
Comment 5 Bret McMillan 2006-08-29 15:45:07 EDT
Matt, I'm sorry to say this isn't currently possible.  The entire point of
channel families was to allow for people to obtain entitlements to a group of
channels, but to only be able to use said entitlement once.

The right way to have modeled this would have been to create a channel family
that included the union of AS, ES, & WS, and have the sku point to that. 
Unfortunately, we also face the restriction that channels can belong only in one
channel family, so even that's not currently possible.

The fact of the matter is that we *are* giving people entitlements to AS, ES,
and WS, functionally speaking.  Perhaps there's some legalese preventing them,
but there is no way for us to really fix this problem via RHN app code in the
near term.

Note You need to log in before you can comment on or make changes to this bug.